/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "enterpassworddialog.h"
#include <qdialog.h>
#include <kmessagebox.h>
#include <klocale.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qdialog.h>

EnterPasswordDialog::EnterPasswordDialog(QWidget *parent, const QString& caption,bool askForGrouppassword) : KDialogBase( parent, i18n("Enter Password"), true, caption, 
		KDialogBase::Ok|KDialogBase::Cancel, KDialogBase::Ok, true )
{
	Password="";
	GroupPassword="";
	this->askForGrouppassword = askForGrouppassword;
	
	main = new EnterPasswordDialogBase(this);
	setMainWidget(main);
	main->setMinimumSize(main->sizeHint());
	
	if (!askForGrouppassword){
		main->textLabel2->setText( i18n( "<b><font size=\"+1\">Enter password:</b>" ) );
		main->GroupPasswordEdit->hide();
		main->LabelGroupPassword->hide();
	}
	else
		main->textLabel2->setText( i18n( "<b><font size=\"+1\">Enter passwords:</b>" ) );
}

EnterPasswordDialog::~ EnterPasswordDialog()
{}


void EnterPasswordDialog::accept()
{
	bool ok=true;
	QString str = main->PasswordEdit->text();
	if (str.isEmpty())
	{
		KMessageBox::sorry( 0, i18n( "Password can't be empty!" ) );
		ok=false;
	}

	if (askForGrouppassword)
	{
		str = main->GroupPasswordEdit->text();
		if (str.isEmpty())
		{
			KMessageBox::sorry( 0, i18n( "Group password can't be empty!" ) );
			ok=false;
		}
	}
	if (ok)
	{
		Password= main->PasswordEdit->text();
		GroupPassword = main->GroupPasswordEdit->text();
		QDialog::accept();
	}


}
