/***************************************************************************
*   Copyright (C) 2004 by Christoph Thielecke                             *
*   crissi99@gmx.de                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#ifndef PREFERENCESDIALOG_H
#define PREFERENCESDIALOG_H

#include "PreferencesBase.h"
#include "profilewidget.h"

#include <qptrlist.h>
#include <qtextedit.h>
#include <qcolor.h>
#include "vpnaccountdata.h"

/**
@author Christoph Thielecke
*/
class PreferencesDialog : public PreferencesDialogBase {
		Q_OBJECT
	public:
		PreferencesDialog( QPtrList<VpnAccountData> *AccountList, QTextEdit *LogOutput, int KvpncDebugLevel,VpnAccountData *currentProfile, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );

	public slots:
		void okClicked();
		
	protected slots:   
    void useColorizedLogOutputToggled();
		void programsInPathToggled(bool);
		void debugLogColorClicked();
    void infoLogColorClicked();
    void remoteLogColorClicked();
		void successLogColorClicked();
    void errorLogColorClicked();

	protected:
		QPtrList<VpnAccountData> *AccountList;
		QTextEdit *LogOutput;
		VpnAccountData *currentProfile;
		
		int KVpncDebugLevel;
		
	public:
		QColor InfoLogColor;
		QColor RemoteLogColor;
		QColor ErrorLogColor;
		QColor SuccessLogColor;
		QColor DebugLogColor;
		ProfileWidget *MyprofileWidget;
};

#endif
